Subject: [Tsvwg] Socket API draft

From: "Sirigiri, Anil Kumar Reddy (STSD)" <[email-masked]>
Date: Fri, 30 Mar 2007 13:31:22 -0000

Hi,

Can someone please clarify my following doubts about socket API draft:

1/ Should there be a bind() prior to sctp_bindx() ? -- I see it
mentioned in one of tsvwg's mails, in the past, but couldn't find an
answer.

2/ What is the use of sctp_opt_info() to have assoc_id as the parameter
? I see that all sctp_opt_info() options are having the assoc_id in the
option argument structures. Though, there is no harm in having it, I
just have this question out of curiosity to know the reason behind it.

--
Thanks & Regards,
Anil